layout(location = 0) in vec3 inPosition;

#ifdef ALPHA_MASK
layout(location = 2) in vec2 inTexCoord;
out vec2 varTexCoord;
#endif

uniform mat4 MVP;

void main()
{
#ifdef ALPHA_MASK
	varTexCoord = inTexCoord.xy;
#endif
	gl_Position = MVP * vec4(inPosition, 1.0);
}